#ifndef FLAGS_H
#define FLAGS_H

/* This file contains all the flags used in the aClient structure
 * More flags can be added simply by going up in multiples of 2.
 * ie. 0001 0002 0004 0008 0010 0020 0040 0080 0100 0200 0400 0800
 * This method was taken from my experience in working with various
 * IRCD packages. Most of them use this for their modes along with
 * corresponding letter representations.
 */

#define FLAG_ADMIN 0x0001







#define setAdmin(x)	((x)->addFlag(FLAG_ADMIN))
#define clearAdmin(x)	((x)->remFlag(FLAG_ADMIN))
#define isAdmin(x)	((x)->getFlags() & FLAG_ADMIN)

#endif
